QGIS Application - Bug report #11489
crash with force point inside polygon in centroid fill style
2014-10-24 04:16 AM - enrico ferreguti

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Simplification

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 19759
Description

as object qgis 2.5 master build fad44d0 running in XP chashes trying to apply 'force point into polygon' in 'centroid fill' style
| attach shp data to replicate issue that appens loading PRG_crash.gml as style in properties dialog.

Associated revisions

Revision 83d070e8 - 2014-10-27 03:46 PM - Martin Dobias

Fix #11489 (crash with force point inside polygon in centroid fill style)

This isn't actually a very good fix. The issue in the "maptopixel" simplification

is still there, it is just less obvious, while sacrificing a bit of QgsGeometry correctness

(like the fact that linear ring should have >= 4 points)

Along the way | have added some comments that may help others decode why the code does things it does.

History

#1 - 2014-10-24 04:17 AM - enrico ferreguti
- File ggs2.5-master_test data.zip added

#2 - 2014-10-24 04:41 AM - Martin Dobias

- Assignee set to Martin Dobias
#3 - 2014-10-24 05:12 AM - Martin Dobias
- Target version changed from 2.5 to Version 2.6

- Operating System deleted (windows xp)
- Category changed from Map Legend to Simplification

This is a problem with simplification

#4 - 2014-10-24 06:33 AM - Giovanni Manghi
confirmed on Linux
Warning: "GEOS exception: TopologyException: Input geom 1 is invalid: Self-intersection at or near point 355.28866615062884 728.20000000000005 at

355.28866615062884 728.20000000000005"
Warning: "GEOS exception: TopologyException: Input geom 1 is invalid: Self-intersection at or near point 355.28866615050498 728.19999999983077 at
355.28866615050498 728.19999999983077"

Warning: "GEOS exception: TopologyException: Input geom 1 is invalid: Self-intersection at or near point 184.16133016218487 728.20000000296932 at

184.16133016218487 728.20000000296932"

QGIS died on signal 11Could not attach to process. If your uid matches the uid of the target
process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user. For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted

#5 - 2014-10-25 04:48 PM - Alvaro Huarte

Hi Martin, If you are agree, the pull request 1660 ( https://github.com/qgis/QGIS/pull/1660 ) fixes this bug.

Best Regards

Alvaro

#6 - 2014-10-27 07:47 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"83d070e8dd5f91dc949809a92478df33e217644a".
